#include <stdio.h>

int main()
{
long long int n,k,r=0,q;
scanf("%lld %lld",&n,&k);
long long int a[n];
for(long long int i = 0;i<n;i++)
{
scanf("%lld",&a[i]);
if(r==1)
{
q=a[i];
r=0;
}
if(a[i]==k)
{
if(i==n-1)
q=a[0];
else
r=1;
}
}
printf("%lld",q);
return 0;
}